
From: Dave Olien <dmo@osdl.org>

It wasn't initializing the devfs_name member of the gendisk structures to
contain the root name of the logical disk.




 drivers/block/DAC960.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/block/DAC960.c~dac960-devfs-fix drivers/block/DAC960.c
--- 25/drivers/block/DAC960.c~dac960-devfs-fix	2003-07-28 18:19:01.000000000 -0700
+++ 25-akpm/drivers/block/DAC960.c	2003-07-28 18:19:01.000000000 -0700
@@ -2484,6 +2484,7 @@ static boolean DAC960_RegisterBlockDevic
   for (n = 0; n < DAC960_MaxLogicalDrives; n++) {
 	struct gendisk *disk = Controller->disks[n];
 	sprintf(disk->disk_name, "rd/c%dd%d", Controller->ControllerNumber, n);
+	sprintf(disk->devfs_name, "rd/c%dd%d", Controller->ControllerNumber, n);
 	disk->major = MajorNumber;
 	disk->first_minor = n << DAC960_MaxPartitionsBits;
 	disk->fops = &DAC960_BlockDeviceOperations;

_
